Public Member Functions | Protected Attributes

# wxPGVIterator Class Reference

`#include <wx/propgrid/propgridpagestate.h>`

## Detailed Description

## wxPGVIterator

Abstract implementation of a simple iterator. Can only be used to iterate in forward order, and only through the entire container. Used to have functions dealing with all properties work with both wxPropertyGrid and wxPropertyGridManager.

## Public Member Functions
| wxPGVIterator ()
| wxPGVIterator (wxPGVIteratorBase *obj)
| ~wxPGVIterator ()
void | UnRef ()
| wxPGVIterator (const wxPGVIterator &it)
const wxPGVIterator & | operator= (const wxPGVIterator &it)
void | Next ()
bool | AtEnd () const
wxPGProperty * | GetProperty () const
## Protected Attributes
wxPGVIteratorBase * | m_pIt

List of all members.

## Constructor & Destructor Documentation

wxPGVIterator::wxPGVIterator | ( |  | ) | `[inline]`

wxPGVIterator::wxPGVIterator | ( | wxPGVIteratorBase * | obj | ) | `[inline]`

wxPGVIterator::~wxPGVIterator | ( |  | ) | `[inline]`

wxPGVIterator::wxPGVIterator | ( | const wxPGVIterator & | it | ) | `[inline]`

## Member Function Documentation

bool wxPGVIterator::AtEnd | ( |  | ) | const`[inline]`

wxPGProperty* wxPGVIterator::GetProperty | ( |  | ) | const`[inline]`

void wxPGVIterator::Next | ( |  | ) | `[inline]`

const wxPGVIterator& wxPGVIterator::operator= | ( | const wxPGVIterator & | it | ) | `[inline]`

void wxPGVIterator::UnRef | ( |  | ) | `[inline]`

## Member Data Documentation

wxPGVIteratorBase* wxPGVIterator::m_pIt`[protected]`

|  | [ top ]